/*
 * Tiny ``application'' that terminates immediately.  Use this from
 * your .xsession, .xinitrc, or whatever start up script to initialize
 * the GNUSTEP_FRAME_OFFSETS property.
 *
 * Copyright (c) 2009, Wolfgang Lux
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
#include <AppKit/AppKit.h>

@interface MyDelegate : NSObject { }
- (void)applicationWillFinishLaunching:(NSNotification *)notif;
@end

@implementation MyDelegate
- (void)applicationWillFinishLaunching:(NSNotification *)notif
{
    [self autorelease];
    [NSApp terminate:self];
}
@end

int main(int argc, const char **argv)
{
    //NSAutoreleasePool *pool = [NSAutoreleasePool new];
    NSApplication *app = [NSApplication sharedApplication];
    MyDelegate *delegate = [MyDelegate new];
    [app setDelegate:delegate];
    [app run];
    return 0;
}
